Public Attributes | List of all members
_spi_handle Struct Reference
Peripheral Driver » HAL Driver » SPI » Structures » SPI handle

SPI handle Structure definition. More...

`#include <gr533x_hal_spi.h>`

## Public Attributes
spi_regs_t * | p_instance
spi_init_t | init
__IO uint32_t | soft_cs_magic
uint8_t * | p_tx_buffer
__IO uint32_t | tx_xfer_size
__IO uint32_t | tx_xfer_count
uint8_t * | p_rx_buffer
__IO uint32_t | rx_xfer_size
__IO uint32_t | rx_xfer_count
void(* | write_fifo )(struct _spi_handle *p_spi)
void(* | read_fifo )(struct _spi_handle *p_spi)
void(* | read_write_fifo )(struct _spi_handle *p_spi)
dma_handle_t * | p_dmatx
dma_handle_t * | p_dmarx
__IO hal_lock_t | lock
__IO hal_spi_state_t | state
__IO uint32_t | error_code
uint32_t | timeout
uint32_t | retention [9]

## Detailed Description

SPI handle Structure definition.

Definition at line 190 of file gr533x_hal_spi.h.

## Member Data Documentation

## ◆ error_code

__IO uint32_t _spi_handle::error_code

SPI Error code

Definition at line 224 of file gr533x_hal_spi.h.

## ◆ init

spi_init_t _spi_handle::init

SPI communication parameters

Definition at line 194 of file gr533x_hal_spi.h.

## ◆ lock

__IO hal_lock_t _spi_handle::lock

Locking object

Definition at line 220 of file gr533x_hal_spi.h.

## ◆ p_dmarx

dma_handle_t* _spi_handle::p_dmarx

SPI Rx DMA Handle parameters

Definition at line 218 of file gr533x_hal_spi.h.

## ◆ p_dmatx

dma_handle_t* _spi_handle::p_dmatx

SPI Tx DMA Handle parameters

Definition at line 216 of file gr533x_hal_spi.h.

## ◆ p_instance

spi_regs_t* _spi_handle::p_instance

SPI registers base address

Definition at line 192 of file gr533x_hal_spi.h.

## ◆ p_rx_buffer

uint8_t* _spi_handle::p_rx_buffer

Pointer to SPI Rx transfer Buffer

Definition at line 204 of file gr533x_hal_spi.h.

## ◆ p_tx_buffer

uint8_t* _spi_handle::p_tx_buffer

Pointer to SPI Tx transfer Buffer

Definition at line 198 of file gr533x_hal_spi.h.

## ◆ read_fifo

void(* _spi_handle::read_fifo) (struct _spi_handle *p_spi)

Pointer to SPI Rx transfer FIFO read function

Definition at line 212 of file gr533x_hal_spi.h.

## ◆ read_write_fifo

void(* _spi_handle::read_write_fifo) (struct _spi_handle *p_spi)

Pointer to SPI transfer FIFO read and write function

Definition at line 214 of file gr533x_hal_spi.h.

## ◆ retention

uint32_t _spi_handle::retention[9]

SPI important register information.

Definition at line 228 of file gr533x_hal_spi.h.

## ◆ rx_xfer_count

__IO uint32_t _spi_handle::rx_xfer_count

SPI Rx Transfer Counter

Definition at line 208 of file gr533x_hal_spi.h.

## ◆ rx_xfer_size

__IO uint32_t _spi_handle::rx_xfer_size

SPI Rx Transfer size

Definition at line 206 of file gr533x_hal_spi.h.

## ◆ soft_cs_magic

__IO uint32_t _spi_handle::soft_cs_magic

if equals to SPI_SOFT_CS_MAGIC_NUMBER, control the CS signal by software

Definition at line 196 of file gr533x_hal_spi.h.

## ◆ state

__IO hal_spi_state_t _spi_handle::state

SPI communication state

Definition at line 222 of file gr533x_hal_spi.h.

## ◆ timeout

uint32_t _spi_handle::timeout

Timeout for the SPI memory access

Definition at line 226 of file gr533x_hal_spi.h.

## ◆ tx_xfer_count

__IO uint32_t _spi_handle::tx_xfer_count

SPI Tx Transfer Counter

Definition at line 202 of file gr533x_hal_spi.h.

## ◆ tx_xfer_size

__IO uint32_t _spi_handle::tx_xfer_size

SPI Tx Transfer size

Definition at line 200 of file gr533x_hal_spi.h.

## ◆ write_fifo

void(* _spi_handle::write_fifo) (struct _spi_handle *p_spi)

Pointer to SPI Tx transfer FIFO write function

Definition at line 210 of file gr533x_hal_spi.h.

The documentation for this struct was generated from the following file:

- gr533x_hal_spi.h